{pkgs, ...}: {
    home = import ./home.nix;
    programs = import ./programs.nix;
    systemd.user.services = import ./sevices.nix;

    i18n.inputMethod.enabled = "fcitx5";
    i18n.inputMethod.fcitx5.addons = with pkgs; [
        fcitx5-configtool
        fcitx5-gtk
    ];
}