{pkgs, ...}: {
    stateVersion = "23.05";  # Static
    username = "GPD User";
    homeDirectory = "/home/user";

    packages = with pkgs; [
        btop
        bat
        thefuck
        ranger
        icdiff
        podman
        jdk17
    ];

    sessionPath = {
        ".local/bin"
        "Applications"
    }

    shellAliases = {
        cao = "fuck";
        top = "btop";
        ls = "ls --color=auto";
        cat = "bat -p --paging=never -u";
        diff="icdiff";
    };

    file = {
        # TODO: hyprland

        # Use flatseal to change permissions.
        ".local/share/fonts" = {
            source = /run/current-system/sw/share/X11/fonts
        };
    };
}