{pkgs, ...}: {
    home-manager.enable = true;

    vim = {
        enable = true;
        defaultEditor = true;
    };

    zsh = {
        enable = true;
        enableSyntaxHighlighting = true;

        oh-my-zsh = {
            enable = true;
            plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "emoji" "pip" "npm" "yarn" "vscode" ];
            theme = "agnoster";
        };
    };

    waybar = {
        enable = true;
        systemd.enable = true;
        settings = {

        };

        style = ''
        '';
    };

    kitty = {
        enable = true;
        font = pkgs.

        shellIntegration = {
            enableZshIntegration = true;
        };
    };
}